Bug 2013996

Summary: Project detail page: Action "Delete Project" does nothing for the default project
Product: OpenShift Container Platform Reporter: Christoph Jerolimov <cjerolim>
Component: Dev ConsoleAssignee: Jaivardhan Kumar <jakumar>
Status: CLOSED ERRATA QA Contact: spathak <spathak>
Severity: low Docs Contact:
Priority: low    
Version: 4.6CC: aos-bugs, kjeeyar, nmukherj
Target Milestone: ---   
Target Release: 4.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-10 16:19:35 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Christoph Jerolimov 2021-10-14 08:53:33 UTC
Description of problem:
When the user opens the developer perspective and selects the 'default' project and tries to delete this project in the Project detail page the action button does nothing.

Version-Release number of selected component (if applicable):
Not checked, I believe all versions

How reproducible:
Always

Steps to Reproduce:
1. Switch to developer perspective
2. Navigate to 'Project' and select 'Project default' from the project list or the project dropdown
3. Click Actions => 'Delete Project'

Actual results:
Nothing happen

Expected results:
Option should be disabled or not shown if it is not possible (or allowed) to delete this project. (Tested it as kubeadmin.)

Additional info:
None

Comment 2 Karthik Jeeyar 2021-12-17 11:46:32 UTC
Verified on 
build : 4.10.0-0.ci-2021-12-16-184808
browswer: chrome-96.0

Comment 7 errata-xmlrpc 2022-03-10 16:19:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056